//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% START: Create Demographic data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
import delimited "C:\cracensus_2009.csv"
save d1
clear
import delimited "C:\cracensus_2010.csv"
save d2
clear
import delimited "C:\cracensus_2011.csv"
save d3
clear
import delimited "C:\cracensus_2012.csv"
save d4
clear
import delimited "C:\cracensus_2013.csv"
save d5
clear
import delimited "C:\cracensus_2014.csv"
save d6
clear
import delimited "C:\cracensus_2015.csv"
save d7
clear
use d1
append using d2
append using d3
append using d4
append using d5
append using d6
append using d7
egen bachelor = rowtotal( malebachelor femalebachelor)
egen employed = rowtotal(malelabor femalelabor)
drop msa_md data_flag malebachelor femalebachelor malelabor femalelabor v20
rename datayear year
gen tract1= tract*100
gen tract2 =round(tract1,1.)
drop tract1 tract
rename tract2 tract
save demographics
clear
/////////////// Delete Files d1-d7
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END: Create Demographic data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BEGIN: Create BANK Branch data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
import delimited "C:\cenmx_2009_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<277
replace cra_size=1 if (asset>=277 & asset<1109)
replace cra_size=2 if asset>=1109
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2009
clear
import delimited "C:\cenmx_2010_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<274
replace cra_size=1 if (asset>=274 & asset<1098)
replace cra_size=2 if asset>=1098
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2010
clear
import delimited "C:\cenmx_2011_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<280
replace cra_size=1 if (asset>=280 & asset<1122)
replace cra_size=2 if asset>=1122
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2011
clear
import delimited "C:\cenmx_2012_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<290
replace cra_size=1 if (asset>=290 & asset<1160)
replace cra_size=2 if asset>=1160
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2012
clear
import delimited "C:\cenmx_2013_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<296
replace cra_size=1 if (asset>=296 & asset<1186)
replace cra_size=2 if asset>=1186
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2013
clear
import delimited "C:\cenmx_2014_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<300
replace cra_size=1 if (asset>=300 & asset<1202)
replace cra_size=2 if asset>=1202
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2014
clear
import delimited "C:\cenmx_2015_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<305
replace cra_size=1 if (asset>=305 & asset<1221)
replace cra_size=2 if asset>=1221
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save mxbr_2015
clear
import delimited "C:\cenru_2009_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<277
replace cra_size=1 if (asset>=277 & asset<1109)
replace cra_size=2 if asset>=1109
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2009
clear
import delimited "C:\cenru_2010_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<274
replace cra_size=1 if (asset>=274 & asset<1098)
replace cra_size=2 if asset>=1098
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2010
clear
import delimited "C:\cenru_2011_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<280
replace cra_size=1 if (asset>=280 & asset<1122)
replace cra_size=2 if asset>=1122
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2011
clear
import delimited "C:\cenru_2012_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<290
replace cra_size=1 if (asset>=290 & asset<1160)
replace cra_size=2 if asset>=1160
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2012
clear
import delimited "C:\cenru_2013_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<296
replace cra_size=1 if (asset>=296 & asset<1186)
replace cra_size=2 if asset>=1186
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2013
clear
import delimited "C:\cenru_2014_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<300
replace cra_size=1 if (asset>=300 & asset<1202)
replace cra_size=2 if asset>=1202
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2014
clear
import delimited "C:\cenru_2015_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<305
replace cra_size=1 if (asset>=305 & asset<1221)
replace cra_size=2 if asset>=1221
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save rubr_2015
clear
import delimited "C:\cenub_2009_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<277
replace cra_size=1 if (asset>=277 & asset<1109)
replace cra_size=2 if asset>=1109
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2009
clear
import delimited "C:\cenub_2010_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<274
replace cra_size=1 if (asset>=274 & asset<1098)
replace cra_size=2 if asset>=1098
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2010
clear
import delimited "C:\cenub_2011_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<280
replace cra_size=1 if (asset>=280 & asset<1122)
replace cra_size=2 if asset>=1122
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2011
clear
import delimited "C:\cenub_2012_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<290
replace cra_size=1 if (asset>=290 & asset<1160)
replace cra_size=2 if asset>=1160
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2012
clear
import delimited "C:\cenub_2013_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<296
replace cra_size=1 if (asset>=296 & asset<1186)
replace cra_size=2 if asset>=1186
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2013
clear
import delimited "C:\cenub_2014_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<300
replace cra_size=1 if (asset>=300 & asset<1202)
replace cra_size=2 if asset>=1202
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2014
clear
import delimited "C:\cenub_2015_brch.csv"
replace asset = asset/1000
rename datayear year
gen cra_size=0 if asset<305
replace cra_size=1 if (asset>=305 & asset<1221)
replace cra_size=2 if asset>=1221
gen small_bank=0
replace small_bank=1 if cra_size<2
gen vsmall_bank=0
replace vsmall_bank=1 if cra_size==0
drop if state==. | county==. | tract==. |  state==0 | county==0 | tract==0
by state county tract year rssdid,sort: gen temp1=_n
by state county tract year rssdid,sort: egen temp2=total(depsumbr)
by state county tract year,sort: egen temp3=total(depsumbr)
by state county year rssdid,sort: egen temp4=total(depsumbr)
by state county year,sort: egen temp5=total(depsumbr)
gen mshare=temp2/temp3
gen mshare_sq=(100*mshare)^2
drop if temp1>1
sort state county tract year
by state county tract year: gen numbranches=_N
by state county tract year: egen numbranches_small=total(small_bank)
by state county tract year: egen numbranches_vsmall=total(vsmall_bank)
by state county tract year: egen hhi=total(mshare_sq)
duplicates drop state county tract year,force
keep year state county tract numbranches numbranches_small numbranches_vsmall hhi 
save ubbr_2015
append using ubbr_2014
append using ubbr_2013
append using ubbr_2012
append using ubbr_2011
append using ubbr_2010
append using ubbr_2009
append using rubr_2015
append using rubr_2014
append using rubr_2013
append using rubr_2012
append using rubr_2011
append using rubr_2010
append using rubr_2009
append using mxbr_2015
append using mxbr_2014
append using mxbr_2013
append using mxbr_2012
append using mxbr_2011
append using mxbr_2010
append using mxbr_2009
sort state county tract year
gen numbranches_large= numbranches- numbranches_small
save branch_data,replace
clear
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END: Create BANK Branch data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BEGIN: Create Business data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

use merged_1dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_2dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_4dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_5dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_6dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_8dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_9dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_10dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_11dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_12dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_13dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_15dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_16dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_17dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_18dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_19dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_20dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_21dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_22dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_23dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_24dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_25dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_26dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_27dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_28dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_29dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_30dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_31dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_32dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_33dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_34dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_35dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_36dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_37dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_38dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_39dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_40dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_41dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_42dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_44dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_45dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_46dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_47dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_48dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_49dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_50dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_51dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_53dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_54dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_55dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_56dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_57dta
destring year,replace
drop if year<2008
drop if naics==. | year==. | emp==.
gen naics2=int(naics/10000)
drop if naics2==11 | naics2==61 | naics2==92
drop if emp==1 
save,replace
clear
use merged_1dta
append using merged_2dta
append using merged_4dta
append using merged_5dta
append using merged_6dta
append using merged_8dta
append using merged_9dta
append using merged_10dta
append using merged_11dta
append using merged_12dta
append using merged_13dta
append using merged_15dta
append using merged_16dta
append using merged_17dta
append using merged_18dta
append using merged_19dta
append using merged_20dta
append using merged_21dta
append using merged_22dta
append using merged_23dta
append using merged_24dta
append using merged_25dta
append using merged_26dta
append using merged_27dta
append using merged_28dta
append using merged_29dta
append using merged_30dta
append using merged_31dta
append using merged_32dta
append using merged_33dta
append using merged_34dta
append using merged_35dta
append using merged_36dta
append using merged_37dta
append using merged_38dta
append using merged_39dta
append using merged_40dta
append using merged_41dta
append using merged_42dta
append using merged_44dta
append using merged_45dta
append using merged_46dta
append using merged_47dta
append using merged_48dta
append using merged_49dta
append using merged_50dta
append using merged_51dta
append using merged_53dta
append using merged_54dta
append using merged_55dta
append using merged_56dta
destring outofbis,replace
drop if outofbis<year
destring id,replace
save businessdata
clear
import delimited C:\NETS\nets_appd.csv
merge 1:1 id year using businessdata
drop _merge
drop if county==.
gen state=int(county/1000)
rename county countyfips
gen county = countyfips-state*1000
by id,sort: egen sales_av=mean(sales)
gen small1 = 0
replace small1=1 if sales_av<1000000
gen small2=0
replace small2=1 if ((naics==31 |  naics==32 | naics==33) &  emp<500) | ((naics!=31 &  naics!=32 & naics!=33) & sales_av <7500000)
by state county tract year,sort: egen nfirms_s1 = total(small1)
by state county tract year,sort: egen nfirms_s2 = total(small2)
egen paydex_av=rowmean(paydex_min paydex_max)
gen temp1=paydex_av if small1==1
gen temp2=paydex_av if small2==1
by state county tract year,sort: egen cscore_s1 = mean(temp1)
by state county tract year,sort: egen cscore_s2 = mean(temp2)
drop temp1 temp2
gen temp1=emp if small1==1
gen temp2=emp if small2==1
by state county tract year,sort: egen emp_s1 = mean(temp1)
by state county tract year,sort: egen emp_s2 = mean(temp2)
by state county tract year,sort: egen empt_s1 = total(temp1)
by state county tract year,sort: egen empt_s2 = total(temp2)
drop temp1 temp2
gen public=0
replace public=1 if pubpriv=="Y"
gen minor=0
replace minor=1 if minority=="Y"
gen corporate=0
replace corporate=1 if legalstat=="I"
gen temp1=0 if small1==1
replace temp1=1 if small1==1 & public==1
gen temp2=0 if small2==1
replace temp2=1 if small2==1 & public==1
by state county tract year,sort: egen public_s1 = mean(temp1)
by state county tract year,sort: egen public_s2 = mean(temp2)
drop temp1 temp2
gen temp2=sales if small2==1
by state county tract year,sort: egen sales_s2 = mean(temp2)
drop temp2
gen temp1=0 if small1==1
replace temp1=1 if small1==1 & minor==1
gen temp2=0 if small2==1
replace temp2=1 if small2==1 & minor==1
by state county tract year,sort: egen minority_s1 = mean(temp1)
by state county tract year,sort: egen minority_s2 = mean(temp2)
drop temp1 temp2
gen temp1=0 if small1==1
replace temp1=1 if small1==1 & corporate==1
gen temp2=0 if small2==1
replace temp2=1 if small2==1 & corporate==1
by state county tract year,sort: egen corporate_s1 = mean(temp1)
by state county tract year,sort: egen corporate_s2 = mean(temp2)
drop temp1 temp2 corporate
destring yearstart,replace
gen age = year-yearstart+1
gen temp1=age if small1==1
gen temp2=age if small2==1
by state county tract year,sort: egen age_s1 = mean(temp1)
by state county tract year,sort: egen age_s2 = mean(temp2)
drop temp1 temp2
gen temp2=0 if small2==1
replace temp2=1 if small2==1 & age<10 & legalstat!="I"
by state county tract year,sort: egen opaque_s2 = mean(temp2)
drop temp2
save businessdata,replace
gen temp1=0 if small2==1
replace temp1=1 if paydex_av!=. & small2==1
by state county tract year,sort: egen nscored_s2 = total(temp1)
drop temp1
gen temp1=0 if small2==1
replace temp1=1 if paydex_av!=. & paydex_av>=70 & small2==1
by state county tract year,sort: egen nscored70_s2 = total(temp1)
drop temp1
gen temp1=paydex_av if small2==1 & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45) 
by state county tract year,sort: egen paydex_av_trade = mean(temp1)
gen temp2=0 if small2==1 & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45) 
replace temp2=1 if paydex_av!=. & paydex_av>=70 & small2==1 & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45)
by state county tract year,sort: egen nscored70_trade = total(temp2)
gen temp3=1 if small2==1 & paydex_av!=. & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45) 
by state county tract year,sort: egen nfirms_trade = total(temp3)
gen temp4=sales if small2==1 & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45) 
by state county tract year,sort: egen sales_trade = mean(temp4)
gen temp5=emp if small2==1 & (naics2==21 | naics2==23 | naics2==31 | naics2==32 | naics2==33 | naics2==42 | naics2==44 | naics2==45) 
by state county tract year,sort: egen emp_trade = mean(temp5)
drop temp1 temp2 temp3 temp4 temp5
gen temp1=paydex_av if small2==1 & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45) 
by state county tract year,sort: egen paydex_av_notrade = mean(temp1)
gen temp2=0 if small2==1 & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45) 
replace temp2=1 if paydex_av!=. & paydex_av>=70 & small2==1 & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45)
by state county tract year,sort: egen nscored70_notrade = total(temp2)
gen temp3=1 if small2==1 & paydex_av!=. & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45)
by state county tract year,sort: egen nfirms_notrade = total(temp3)
gen temp4=sales if small2==1 & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45) 
by state county tract year,sort: egen sales_notrade = mean(temp4)
gen temp5=emp if small2==1 & (naics2!=21 & naics2!=23 & naics2!=31 & naics2!=32 & naics2!=33 & naics2!=42 & naics2!=44 & naics2!=45) 
by state county tract year,sort: egen emp_notrade = mean(temp5)
drop temp1 temp2 temp3 temp4 temp5
save businessdata,replace
rename nfirms_s2 nfirms
rename cscore_s2 payscore
rename nscored_s2 nfirmscored
rename nscored70_s2 nfirmscored70
rename emp_s2 employees_m
rename sales_s2 sales_m
rename paydex_av_trade payscore_trade
rename paydex_av_notrade payscore_notrade
rename nscored70_trade nfirmscored70_trade
rename nscored70_notrade nfirmscored70_notrade
rename nfirms_trade nfirmscored_trade
rename nfirms_notrade nfirmscored_notrade
keep year tract state county nfirms payscore nfirmscored nfirmscored70 payscore_trade payscore_notrade nfirmscored70_trade nfirmscored70_notrade nfirmscored_trade nfirmscored_notrade employees_m sales_m emp_trade emp_notrade sales_trade sales_notrade 
duplicates drop state county tract year,force
save business_data,replace

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END: Create Business data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BEGIN: Create Master data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
use craloans
rename state_code state
rename county_code county
rename tract_code tract
rename activity_year year
egen communityid = group(state county tract)
duplicates drop communityid year,force
drop tableid 
drop if year>2014 | year<2009
drop if state>56
order tract
order county
order state
sort state county tract year
merge 1:1 state county tract year using demographics
keep if _merge==3
drop _merge
merge 1:1 state county tract year using business_data
keep if _merge==3
drop _merge
merge 1:1 state county tract year using branch_data
drop if _merge==2
drop _merge
replace numbranches=0 if numbranches==.
replace numbranches_small =0 if numbranches_small ==.
replace numbranches_vsmall =0 if numbranches_vsmall ==.
replace numbranches_large =0 if numbranches_large ==.
rename pop population
drop if income_level==0 | population==.
sort communityid year
by communityid,sort: gen temp1=_N
drop if temp1<5
drop temp1
gen lmi_area = 0 if income_level==3 | income_level==4
replace lmi_area = 1 if income_level==1 | income_level==2
sort state county tract year
by state county tract: egen temp1=total(lmi_area)
gen temp2=year*lmi_area
replace temp2=. if temp2==0
by state county tract: egen year_max = max(temp2)
by state county tract: egen year_min = min(temp2)
gen treat1=0 if temp1==0
replace treat1=1 if temp1==2 & year_min==2012
gen treat2=0 if temp1==5
replace treat2=1 if temp1==3 & year_max==2011
drop temp1 temp2 year_min year_max
drop if treat1==. & treat2==.
egen num_craloans = rowtotal( np_small no_med no_big)
egen amount_craloans = rowtotal(ap_small ao_med ao_big)
destring msa_md,replace force
replace msa_md=99999 if msa_md==.
gen negtract_mfi_p=-tract_mfi_p
gen scored70=nfirmscored70/nfirmscored
gen scored70_trade=nfirmscored70_trade/nfirmscored_trade
gen scored70_notrade=nfirmscored70_notrade/nfirmscored_notrade
winsor payscore, gen(wpayscore) p(0.01)
winsor payscore_trade, gen(wpayscore_trade) p(0.01)
winsor payscore_notrade, gen(wpayscore_notrade) p(0.01)
sort state county tract year
by state county tract: gen lead1_no_lt1m= no_lt1m[_n+1]
by state county tract: gen lead1_ao_lt1m= ao_lt1m[_n+1]
by state county tract: gen lead1_num_craloans= num_craloans[_n+1]
by state county tract: gen lead1_amount_craloans= amount_craloans[_n+1]
by state county tract: gen lead1_wpayscore=wpayscore[_n+1]
by state county tract: gen lead1_employees_m=employees_m[_n+1]
by state county tract: gen lead1_wpayscore_trade=wpayscore_trade[_n+1]
by state county tract: gen lead1_wpayscore_notrade=wpayscore_notrade[_n+1]
by state county tract: gen lead1_scored70=scored70[_n+1]
by state county tract: gen lead1_scored70_trade=scored70_trade[_n+1]
by state county tract: gen lead1_scored70_notrade=scored70_notrade[_n+1]
gen csupply_shock=0
replace csupply_shock=1 if ( lead1_no_lt1m/no_lt1m>1.20 | lead1_ao_lt1m/ao_lt1m>1.20) & year>2011
save master,replace
clear
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% BEGIN: Create matchedsample.dat file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
use master
sort state county tract year
by state county tract: egen population_m=mean(population)
by state county tract: egen mfi_m=mean(tract_mfi)
by state county tract: egen minority_m=mean(minority_pop_p)
by state county tract: egen firms_m=mean(nfirms)
by state county tract: egen numbrlarge_m=mean(numbranches_large)
by state county tract: egen numbrlsmall_m=mean(numbranches_small)
duplicates drop state county tract,force
gen id=_n
teffects nnmatch ( num_craloans population_m mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m )  (treat1) if  state == 1, atet vce(iid)  nneighbor(1) generate(stub1) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)  (treat1) if  state == 4, atet vce(iid)  nneighbor(1) generate(stub4) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m) (treat1) if  state == 5, atet vce(iid)  nneighbor(1) generate(stub5) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m )  (treat1) if  state == 6, atet vce(iid)  nneighbor(1) generate(stub6) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m )  (treat1) if  state == 8, atet vce(iid)  nneighbor(1) generate(stub8) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 10, atet vce(iid)  nneighbor(1) generate(stub10) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 12, atet vce(iid)  nneighbor(1) generate(stub12) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 13, atet vce(iid)  nneighbor(1) generate(stub13) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 15, atet vce(iid)  nneighbor(1) generate(stub15) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 16, atet vce(iid)  nneighbor(1) generate(stub16) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 17, atet vce(iid)  nneighbor(1) generate(stub17) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 18, atet vce(iid)  nneighbor(1) generate(stub18) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 19, atet vce(iid)  nneighbor(1) generate(stub19) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 20, atet vce(iid)  nneighbor(1) generate(stub20) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 21, atet vce(iid)  nneighbor(1) generate(stub21) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 22, atet vce(iid)  nneighbor(1) generate(stub22) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 23, atet vce(iid)  nneighbor(1) generate(stub23) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m) 
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 24, atet vce(iid)  nneighbor(1) generate(stub24) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 25, atet vce(iid)  nneighbor(1) generate(stub25) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 26, atet vce(iid)  nneighbor(1) generate(stub26) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 27, atet vce(iid)  nneighbor(1) generate(stub27) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 28, atet vce(iid)  nneighbor(1) generate(stub28) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 29, atet vce(iid)  nneighbor(1) generate(stub29) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 30, atet vce(iid)  nneighbor(1) generate(stub30) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 31, atet vce(iid)  nneighbor(1) generate(stub31) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 32, atet vce(iid)  nneighbor(1) generate(stub32) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 34, atet vce(iid)  nneighbor(1) generate(stub34) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 35, atet vce(iid)  nneighbor(1) generate(stub35) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 36, atet vce(iid)  nneighbor(1) generate(stub36) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 37, atet vce(iid)  nneighbor(1) generate(stub37) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 38, atet vce(iid)  nneighbor(1) generate(stub38) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 39, atet vce(iid)  nneighbor(1) generate(stub39) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 40, atet vce(iid)  nneighbor(1) generate(stub40) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 41, atet vce(iid)  nneighbor(1) generate(stub41) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 42, atet vce(iid)  nneighbor(1) generate(stub42) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 44, atet vce(iid)  nneighbor(1) generate(stub44) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 45, atet vce(iid)  nneighbor(1) generate(stub45) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 46, atet vce(iid)  nneighbor(1) generate(stub46) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 47, atet vce(iid)  nneighbor(1) generate(stub47) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 48, atet vce(iid)  nneighbor(1) generate(stub48) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 49, atet vce(iid)  nneighbor(1) generate(stub49) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 50, atet vce(iid)  nneighbor(1) generate(stub50) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 51, atet vce(iid)  nneighbor(1) generate(stub51) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 53, atet vce(iid)  nneighbor(1) generate(stub53) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m )(treat1)  if  state == 54 & ((county!=27 & tract!=9685) & (county!=27 & tract!=9686)), atet vce(iid)  nneighbor(1) generate(stub54) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 55, atet vce(iid)  nneighbor(1) generate(stub55) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
teffects nnmatch ( num_craloans  population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m ) (treat1) if  state == 56, atet vce(iid)  nneighbor(1) generate(stub56) ematch(msa_md) biasadj(population_m  mfi_m minority_m  firms_m numbrlarge_m numbrlsmall_m)
egen matched = rowtotal( stub11 stub41 stub51 stub61 stub81 stub101 stub121 stub131 stub151 stub161 stub171 stub181 stub191 stub201 stub211 stub221 stub231 stub241 stub251 stub261 stub271 stub281 stub291 stub301 stub311 stub321 stub341 stub351 stub361 stub371 stub381 stub391 stub401 stub411 stub421 stub441 stub451 stub461 stub471 stub481 stub491 stub501 stub511 stub531 stub541 stub551 stub561)
keep state county tract treat1 matched id
save nnmatchingtreat1_step1,replace
keep if treat1
drop id
rename matched id
rename state state1
rename county county1
rename tract tract1
merge m:1 id using nnmatchingtreat1_step1
keep if _merge==3
drop id matched _merge
save nnmatchingtreat1_step2,replace
drop state county tract treat1
rename state1 state
rename county1 county
rename tract1 tract
save nnmatchingtreat1_step3,replace
clear
use nnmatchingtreat1_step2
drop state1 county1 tract1 treat1
append using nnmatchingtreat1_step3
duplicates drop state county tract,force
save matchedsample,replace
clear
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END: Create matchedsample.dat file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
use master
merge m:1 state county tract using matchedsample
gen insampletreat1=1 if _merge==3
drop _merge
keep if treat1!=. & (year==2011 | year==2012) & lead1_wpayscore!=. & tract_mfi_p!=. & population!=. & minority_pop_p!=. & tract_mfi!=. & nfirms!=. & numbranches_small!=. & numbranches_large!=.
replace hhi=10000 if hhi==0 & numbranches==1
replace hhi=5000 if hhi==0 & numbranches==2
gen competition1 = 0 if hhi>1800 & hhi!=.
replace competition1 = 1 if hhi<=1800
gen competition2=0 if numbranches<=7
replace competition2=1 if numbranches>7 & numbranches!=.
save master,replace

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END: Create Master data file %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%















